﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using System.IO;

namespace AlignmentViewer.Droid
{
    class SetupSampleData : MainPage.ISetupSampleData
    {
        public  void setupData()
        {
            try
            {
                if(Directory.Exists("/storage/emulated/0/NRG/Sample Project") == false)
                {
                    string content;
                    Android.Content.Res.AssetManager assets = Application.Context.Assets;

                    Directory.CreateDirectory("/storage/emulated/0/NRG/Sample Project");

                    using (StreamReader sr = new StreamReader(assets.Open("Haul 2.nst")))
                    {
                        content = sr.ReadToEnd();
                        File.AppendAllText("/storage/emulated/0/NRG/Sample Project/Haul 2.nst", content);
                        Android.Media.MediaScannerConnection.ScanFile(Application.Context, new String[] { "/storage/emulated/0/NRG/Sample Project/Haul 2.nst" }, null, null);
                    }

                    using (StreamReader sr = new StreamReader(assets.Open("OGL.kml")))
                    {
                        content = sr.ReadToEnd();
                        File.AppendAllText("/storage/emulated/0/NRG/Sample Project/OGL.kml", content);
                        Android.Media.MediaScannerConnection.ScanFile(Application.Context, new String[] { "/storage/emulated/0/NRG/Sample Project/OGL.kml" }, null, null);
                    }

                    using (StreamReader sr = new StreamReader(assets.Open("Proposed.kml")))
                    {
                        content = sr.ReadToEnd();
                        File.AppendAllText("/storage/emulated/0/NRG/Sample Project/Proposed.kml", content);
                        Android.Media.MediaScannerConnection.ScanFile(Application.Context, new String[] { "/storage/emulated/0/NRG/Sample Project/Proposed.kml" }, null, null);
                    }
                }
            }
            catch
            {

            }
        }
    }
}