﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using System.IO;

[assembly: Dependency(typeof(AlignmentViewer.Droid.GetTransformation))]
namespace AlignmentViewer.Droid
{
    class GetTransformation : IGetTransformations
    {
        public string getTransformations()
        {
            string content;
            Android.Content.Res.AssetManager assets = Android.App.Application.Context.Assets;

            using (StreamReader sr = new StreamReader(assets.Open("Transformations.txt")))
            {
                content = sr.ReadToEnd();
            }

            return content;
        }
    }
}