﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace AlignmentViewer.Droid
{
    [Activity(Label = "Alignment Viewer", Icon ="@drawable/icon", Theme = "@style/splashScreen", MainLauncher = false, NoHistory = true)]
    public class SplashActivity : Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnResume()
        {
            base.OnResume();
            var result = GetStoragePermission();
            StartActivity(typeof(MainActivity));
        }
        public async Task GetStoragePermission()
        {
            var access = Plugin.Permissions.CrossPermissions.Current.CheckPermissionStatusAsync(Plugin.Permissions.Abstractions.Permission.Storage);

            if (access.Result != Plugin.Permissions.Abstractions.PermissionStatus.Granted)
            {
                //Ask for permission
                await Plugin.Permissions.CrossPermissions.Current.RequestPermissionsAsync(Plugin.Permissions.Abstractions.Permission.Storage);
            }

            if (Plugin.Permissions.CrossPermissions.Current.CheckPermissionStatusAsync(Plugin.Permissions.Abstractions.Permission.Storage).Result != Plugin.Permissions.Abstractions.PermissionStatus.Granted)
                return;

            return;
        }
    }
}