﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer (typeof(AlignmentViewer.borderlessEntry), typeof(AlignmentViewer.Droid.borderlessEntryRenderer))]
namespace AlignmentViewer.Droid
{
    class borderlessEntryRenderer : EntryRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);
            if(Control != null)
            {
                //Renmove background
                Control.Background = null;
                Control.SetPadding(0, 0, 0, 0);
                Control.SetMaxLines(1);

                //Removes spell checking
                //Control.InputType = Android.Text.InputTypes.TextFlagNoSuggestions;
            }           
        }
    }
}