﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using System.IO;

namespace AlignmentViewer.iOS
{
    class SetupSampleData : MainPage.ISetupSampleData
    {
        public void setupData()
        {
            try
            {
                var documents = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
                string resourcePath = NSBundle.MainBundle.ResourcePath.ToString();
                if (Directory.Exists(documents + "/Sample Project") == false)
                {
                    string content;
                    Directory.CreateDirectory(documents + "/Sample Project");

                    content = File.ReadAllText(resourcePath + "/Haul 2.nst");
                    File.AppendAllText(documents + "/Sample Project/Haul 2.nst", content);

                    content = File.ReadAllText(resourcePath + "/OGL.kml");
                    File.AppendAllText(documents + "/Sample Project/OGL.kml", content);

                    content = File.ReadAllText(resourcePath + "/Proposed.kml");
                    File.AppendAllText(documents + "/Sample Project/Proposed.kml", content);
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }
    }
}